#pragma once
#include "Gedeng/String.h"
#include "Gedeng/Vector.h"

namespace Gedeng {

class Node {
  public:
    // Add the given node as a child of this node.
    void add_child(const Node &node);

    // Return a vector with all child nodes of this node.
    Vector<Node &> get_children() const;
};

} // namespace Gedeng